### Enumeration

# Phosh MonitorConnectorType

since: 0

#### Declaration

    enum Phosh.MonitorConnectorType

#### Description [src]

This matches the values in drm_mode.h.

Available since: 0

#### Members

`PHOSH_MONITOR_CONNECTOR_TYPE_Unknown`

  Unknown connector type.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_VGA`

  A VGA connector.

  - Value: `1`
  - Nickname: `vga`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_DVII`

  A DVII connector.

  - Value: `2`
  - Nickname: `dvii`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_DVID`

  A DVID connector.

  - Value: `3`
  - Nickname: `dvid`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_DVIA`

  A DVIA connector.

  - Value: `4`
  - Nickname: `dvia`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_Composite`

  A Composite connector.

  - Value: `5`
  - Nickname: `composite`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_SVIDEO`

  A SVIDEO connector.

  - Value: `6`
  - Nickname: `svideo`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_LVDS`

  A LVDS connector.

  - Value: `7`
  - Nickname: `lvds`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_Component`

  A Component connector.

  - Value: `8`
  - Nickname: `component`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_9PinDIN`

  A 9PinDIN connector.

  - Value: `9`
  - Nickname: `9pindin`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_DisplayPort`

  A DisplayPort connector.

  - Value: `10`
  - Nickname: `displayport`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_HDMIA`

  A HDMIA connector.

  - Value: `11`
  - Nickname: `hdmia`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_HDMIB`

  A HDMIB connector.

  - Value: `12`
  - Nickname: `hdmib`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_TV`

  A TV connector.

  - Value: `13`
  - Nickname: `tv`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_eDP`

  A eDP connector.

  - Value: `14`
  - Nickname: `edp`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_VIRTUAL`

  A Virtual connector.

  - Value: `15`
  - Nickname: `virtual`
  - Available since: 0
`PHOSH_MONITOR_CONNECTOR_TYPE_DSI`

  A DSI connector.

  - Value: `16`
  - Nickname: `dsi`
  - Available since: 0

#### Type functions

###### phosh_monitor_connector_type_from_name

No description available.

since: 0